# Hurricane VLSI Database

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Initializer Class Reference

Register a static initialization function. More...

## Detailed Description

Register a static initialization function.

# Initializer Mechanism

In C++, there is currently no way to guarantee the order into which the static initialization (variables) in various modules will be done.

The Initializer template class provide a way to perform a static initialization across multiple modules in an ordered fashion, thus solving potential dependency problems between initialisation.

The documentation for this class was generated from the following file:

- Initializer.dox

Generated by doxygen 1.8.5 on Sun Jan 17 2016 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved